package body MSHTML.IHTMLButtonElement2_Object is

   procedure Put_type
     (This : IHTMLButtonElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLButtonElement2_Put_type,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_type;

   function Get_type
     (This : IHTMLButtonElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLButtonElement2_Get_type);
   end Get_type;

end MSHTML.IHTMLButtonElement2_Object;

